%define ver_major 2.3
%define ver_minor 0
%define ver_micro 2

Summary: A light and eye-candy dock to launch your programs easily
Name: cairo-dock
Version: %ver_major.%ver_minor
Release: alt%ver_micro.1
License: GPLv3+
Group: Graphical desktop/Other
Url: https://launchpad.net/cairo-dock-core

Source: http://launchpad.net/cairo-dock-core/%ver_major/%version/+download/%name-%version~%ver_micro.tar.gz
Patch1: cairo-dock-alt-fix-desktop.patch

BuildRequires: cmake gcc-c++ glibc-devel
BuildRequires: libgtk+2-devel glib2-devel libcairo-devel librsvg-devel libdbus-devel libdbus-glib-devel
BuildRequires: libxml2-devel libgtkglext-devel libcurl-devel
BuildRequires: libXrender-devel libXcomposite-devel libXext-devel libXinerama-devel libXtst-devel

BuildRequires: ImageMagick-tools

%description
cairo-dock uses cairo to render nice graphics, and Glitz to use hardware
acceleration. It's fully configurable and can be a taskbar too. You can
easily plug applets into it.

%package devel
Summary: Development files for cairo-dock
Group: Development/Other
Requires: %name = %version-%release

%description devel
cairo-dock uses cairo to render nice graphics, and Glitz to use hardware
acceleration. It's fully configurable and can be a taskbar too. You can
easily plug applets into it.

This package provides the include files and library for cairo-dock functions.

%prep
%setup -q -n %name-%version~%ver_micro
%patch1 -p1
# fix version
sed -i -e 's/2.3.0~2/2.3.0-2/' CMakeLists.txt

%build
%cmake
pushd BUILD
%make_build
popd

%install
pushd BUILD
%make_install DESTDIR=%buildroot install
popd

%find_lang %name

mkdir -p %buildroot{%_niconsdir,%_miconsdir,%_liconsdir}
convert data/cairo-dock.svg -resize 48x48 %buildroot%_liconsdir/%name.png
convert data/cairo-dock.svg -resize 16x16 %buildroot%_miconsdir/%name.png
convert data/cairo-dock.svg -resize 32x32 %buildroot%_niconsdir/%name.png

%files -f %name.lang
%_bindir/*
%_libdir/*.so.*
%_man1dir/*.1.*
%_datadir/%name
%_desktopdir/*.desktop
%_pixmapsdir/*.svg
%_niconsdir/%name.png
%_miconsdir/%name.png
%_liconsdir/%name.png

%files devel
%_includedir/%name
%_libdir/*.so
%_pkgconfigdir/*.pc

%changelog
* Thu May 05 2011 Alexey Shabalin <shaba@altlinux.ru> 2.3.0-alt2.1
- 2.3.0~2

* Tue Oct 19 2010 Alexey Shabalin <shaba@altlinux.ru> 2.2.0-alt4.1
- update buildreq

* Wed Oct 06 2010 Alexey Shabalin <shaba@altlinux.ru> 2.2.0-alt4
- 2.2.0-4

* Sun Apr 11 2010 Alexey Shabalin <shaba@altlinux.ru> 2.1.3-alt8
- 2.1.3-8

* Fri Mar 12 2010 Alexey Shabalin <shaba@altlinux.ru> 2.1.3-alt7
- 2.1.3-7

* Sat Mar 06 2010 Alexey Shabalin <shaba@altlinux.ru> 2.1.3-alt6
- 2.1.3-6

* Fri Feb 05 2010 Alexey Shabalin <shaba@altlinux.ru> 2.1.3-alt1
- 2.1.3-1
- add Additional Categories to desktop file; remove key "Encoding"

* Fri Jan 15 2010 Alexey Shabalin <shaba@altlinux.ru> 2.1.2-alt4
- 2.1.2-4

* Sat Oct 31 2009 Alexey Shabalin <shaba@altlinux.ru> 2.1.1-alt2
- 2.1.1-2

* Sun Oct 25 2009 Alexey Shabalin <shaba@altlinux.ru> 2.1.1-alt1
- initial build, mandriva spec based
